Package org.apache.batchee.jaxb

## Class PartitionPlan

- java.lang.Object
- - org.apache.batchee.jaxb.PartitionPlan

-     public class PartitionPlan
      extends Object

  Java class for PartitionPlan complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PartitionPlan">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="properties" type="{http://xmlns.jcp.org/xml/ns/javaee}Properties" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="partitions" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="threads" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `partitions` |
    `protected List<JSLProperties>` | `properties` |
    `protected String` | `threads` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartitionPlan()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPartitions()` | Gets the value of the partitions property.
    `List<JSLProperties>` | `getProperties()` | Gets the value of the properties property.
    `String` | `getThreads()` | Gets the value of the threads property.
    `void` | `setPartitions​(String value)` | Sets the value of the partitions property.
    `void` | `setThreads​(String value)` | Sets the value of the threads property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected List<JSLProperties> properties

    - #### partitions

          protected String partitions

    - #### threads

          protected String threads

  - ### Constructor Detail

    - #### PartitionPlan

          public PartitionPlan()

  - ### Method Detail

    - #### getProperties

          public List<JSLProperties> getProperties()

      Gets the value of the properties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the properties property.

      For example, to add a new item, do as follows:

              getProperties().add(newItem);

      Objects of the following type(s) are allowed in the list `JSLProperties`

    - #### getPartitions

          public String getPartitions()

      Gets the value of the partitions property.
      Returns:
        possible object is `String`

    - #### setPartitions

          public void setPartitions​(String value)

      Sets the value of the partitions property.
      Parameters:
        `value` - allowed object is `String`

    - #### getThreads

          public String getThreads()

      Gets the value of the threads property.
      Returns:
        possible object is `String`

    - #### setThreads

          public void setThreads​(String value)

      Sets the value of the threads property.
      Parameters:
        `value` - allowed object is `String`